it-swarm.com.de

Expo-Build: ios schlägt mit "Fehler beim Sammeln und Überprüfen von Anmeldeinformationen" fehl

Ich versuche, exp build:ios auszuführen und gibt den folgenden Fehler zurück: 

Running: bash.exe -c PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin /mnt/c/Users/MyName/AppData/Roaming/npm/node_m
odules/exp/node_modules/@expo/traveling-fastlane-linux/traveling-fastlane-1.4.7-linux-x86_64/validate_Apple_credentials "USERNAME PASSWORD"  

Error while gathering & validating credentials
04:55:52 [exp] Error: Reason:Unknown reason, raw:"{\"authType\"=>\"sa\"}\naa=11CECD94B0A448A2CA74B798F957D91C; Domain=idmsa.Apple.com; Path=/; Secure
; HttpOnly, dslang=US-EN; Domain=Apple.com; Path=/; Secure; HttpOnly, site=USA; Domain=Apple.com; Path=/; Secure; HttpOnly, acn01=ecHGTzyh6KpEMYGK3/n
dp5OBSctZ7OhjWIMEzX9jeHHDdeMxlEYAEHHyjSOfEg==; Max-Age=31536000; Expires=Wed, 22-May-2019 01:55:52 GMT; Domain=Apple.com; Path=/; Secure; HttpOnly"
04:55:52 [exp] Reason:Unknown reason, raw:"{\"authType\"=>\"sa\"}\naa=11CECD94B0A448A2CA74B798F957D91C; Domain=idmsa.Apple.com; Path=/; Secure; HttpO
nly, dslang=US-EN; Domain=Apple.com; Path=/; Secure; HttpOnly, site=USA; Domain=Apple.com; Path=/; Secure; HttpOnly, acn01=ecHGTzyh6KpEMYGK3/ndp5OBSc
tZ7OhjWIMEzX9jeHHDdeMxlEYAEHHyjSOfEg==; Max-Age=31536000; Expires=Wed, 22-May-2019 01:55:52 GMT; Domain=Apple.com; Path=/; Secure; HttpOnly"
04:55:52   

Ich versuche auf folgender Plattform aufzubauen:

Betriebssystem: Windows 10 (mit WSL Ubuntu 18.04)
Expo: 27.0.2 

Und habe folgendes auf package.json

{
  "name": "APP_NAME",
  "version": "0.1.0",
  "private": true,
  "devDependencies": {
    "jest-expo": "^27.0.0",
    "react-native-scripts": "1.11.1",
    "react-test-renderer": "16.2.0"
  },
  "main": "./node_modules/react-native-scripts/build/bin/crna-entry.js",
  "scripts": {
    "start": "react-native-scripts start",
    "eject": "react-native-scripts eject",
    "Android": "react-native-scripts Android",
    "ios": "react-native-scripts ios",
    "test": "node node_modules/jest/bin/jest.js"
  },
  "jest": {
    "preset": "jest-expo"
  },
  "dependencies": {
    "@expo/vector-icons": "^6.3.1",
    "exp": "^54.0.0",
    "expo": "^27.0.2",
    "native-base": "^2.4.4",
    "npm": "^6.0.1",
    "react": "16.3.1",
    "react-native": "https://github.com/expo/react-native/archive/sdk-27.0.2.tar.gz",
    "react-native-animatable": "^1.2.4",
    "react-native-autocomplete-input": "^3.5.0",
    "react-native-collapsible": "^0.11.2",
    "react-native-modal": "^5.4.0",
    "react-native-scrollable-tab-view": "^0.8.0",
    "react-native-simple-Twitter": "^1.2.1",
    "react-native-slider": "^0.11.0",
    "react-native-snap-carousel": "^3.7.0",
    "react-native-svg-uri": "^1.2.3",
    "react-native-swiper": "^1.5.13",
    "react-navigation": "^1.5.12",
    "react-redux": "^5.0.7",
    "redux": "^3.7.2"
  }
}

Und auch app.json

{
  "expo": {
    "name": "APP_NAME",
    "description": "APP_NAME description",
    "slug": "Appname",
    "privacy": "public",
    "sdkVersion": "27.0.0",
    "version": "1.0.0",
    "orientation": "portrait",
    "androidStatusBar": {
        "backgroundColor": "#000000"
    },
    "packagerOpts": {
      "assetExts": ["ttf", "mp4"]
    },
    "ios": {
      "bundleIdentifier": "com.mycompany.myapp",
      "supportsTablet": false
    },
    "Android": {
      "package": "com.mycompany.myapp",
      "versionCode": 4
    }
  }
}

PS: exp build:Android läuft gut.
Was ist die Ursache dieses Fehlers und wie kann ich ihn beheben?

5
Abdulaziz

Stellen Sie einfach eine Verbindung zu https://appleid.Apple.com/ oder http://itunesconnect.Apple.com her und akzeptieren Sie das Datenschutz-Update.

 Apple id privacy

17
MoOx

Ich habe heute genau den gleichen Fehler auf osX erlebt. Und nach vielen Schmerzen stellte ich fest, dass es sich um eine Servicebedingungen handelte, die ich akzeptieren musste:

https://idmsa.Apple.com/IDMSWebAuth/signin?appIdKey= ......

sobald ich das getan hatte, funktionierte der Build wieder.

0
Raj Narayan